/* @group Reset 
------------------------ */

body{
	margin:0;
	padding:0;
}

a{
	text-decoration:none;
}

ul{
	list-style:none;
	margin:0;
	padding:0;
	
}

/* @group Généralités typographiques
------------------------ */

body{
	font-size: 14px;
	line-height:150%;
	
	font-family:Verdana, sans-serif;
	color: #222;
	
	background: url('../images/fond_bureau.jpg') #E8C88B;
}


aside{
	font-size: small;
}

h1{
	text-align:center;
	font-size:2em;
}

h2{
	text-align:center;
	font-size:2em;
}

h3{
	margin-top:2rem;
}

p{
	margin-left:1rem;
}

ul{
	margin-left:1rem;
	/*padding-left:1rem;*/
}

ul.sommaire{
	list-style:disc;
}

ul.updates{
	list-style:circle;
}

dt{
	font-weight:500;
	font-variant:small-caps;
}



/* @group Aspect général
------------------------ */

body{
	position:relative;/* Pour que z-index ait un effet */
}



#trieur{
	
	width: 1000px;
	
	position:relative;/* Positionnement nécessaire pour que z-index ait un effet */
	z-index:10;
	
	margin:3em auto;
}
	


#main-wrapper{
	
	padding:1.5em;
	
	border-radius:5px;
	box-shadow:
			0px 0px 7px #333;
}


#feuille{
	min-height:600px;
	
	padding:2em;
	margin:10px 10px 0px 0px;
	
	background:#fff;
	
	border:solid 1px #ccc;
	box-shadow:/* Effet "pile de papiers" */
			3px -3px #fff,
			4px -4px #ccc,
			7px -7px #fff,
			8px -8px #ccc,
			11px -11px #fff,
			/* Une vraie ombre pour peaufiner */
			-3px 3px 3px #000;
	
	border-radius:1px;
}

#notes_perso{
	position:absolute;
	top:200px;
	right:20px;
	width:200px;
	height:300px;
}

#notes_perso p{
	margin-left:0;
}



/* @group Coloration thématique 
------------------------ */

.Accueil{
	background-color:#2626FF;
}

.Maths{
	background-color: #BF0000;
}

.Physique{	
	background-color: #FF8204;
}

.Chimie{	
	background-color: #008C23;
}

.SI{	
	background-color: #9F009F;
}

.Info{	
	background-color: #972200;
}

.Tipe{
	background-color: #f9da00
}

.Organisation{	
	background-color: #89593D;
}

.Erreur404{
	background-color: #222;
}


/* @group Style des liens 
------------------------ */
	
	a:link{
		color: #00f;
	}
	
	a:visited{
		color: #5E3CFF;
	}

	a:hover, a:focus, a:active{
		box-shadow:0 0 3px #00f;
	}
	
	a[href^="http:"], a[href^="https:"]{
		background: url(../images/lien_externe.gif) no-repeat right top;
		padding-right:10px;
	}

	a[href^="mailto:"]{
		background: url(../images/email.png) no-repeat right top;
		padding-right:15px;
	}
	
	a[href$=".pdf"]{
		background: url(../images/iconepdf.jpg) no-repeat right top;
		padding-right:20px;
	}
	

/* @group Logo
------------------------ */

@font-face {/* Generated by Font Squirrel*/
    font-family: 'exodemibolditalic';
  
    src: url('exo-semibolditalic-webfont.ttf') format('truetype');

    font-weight: normal;
    font-style: normal;
}


header{
	position:absolute;
	top:0;
	left:0;
	margin:2% 5%;
}

header{
	font-size:1.2rem;
	line-height:3rem;
}

header a{
	display:block;
	border:2px solid;
	border-radius:3px;
	
	text-shadow:
		0px 1px 0px rgba(255,255,255,0.4),
		1px 0px 0px rgba(255,255,255,0.4);
}

header a:hover{
	box-shadow:none;
}

header a{
	display:block;
	width:15rem;
	height:15rem;	

	border: solid 1px #333; 
	background:#FFFF40;
	
	font-family: exodemibolditalic, sans-serif;
	font-variant:small-caps;
	font-size:22px;

	transform:rotate(-5deg);
	box-shadow:-2px 2px 2px #333;
	
	transition:transform 0.3s, box-shadow 0.3s;
}



header a:hover, header a:focus, header a:active{
	transform:rotate(-10deg) scale(1.05);
	box-shadow:-3px 3px 3px #333;
}

header h1{
	margin-top:1.5em;
}

header a:link, header a:visited{
		color:#222;
}


/* @group Navigation
------------------------ */


nav ul{
	margin-left:10px;
}

nav li{
	display:inline-block;
	
	margin:0px 4px;
	padding:2px 4px;
	
	border-radius:10px 10px 0 0;
	box-shadow:
			-1px -1px 1px #333;
}


nav a{
	display:inline-block;
	width:12ex;
	height:1.5em;
	text-align:center;
	vertical-align:middle;
	
	
	text-shadow:1px 1px 1px #444;
	font-size:1.1em;
	
	transition:text-shadow, transform 0.1s;
}

nav a:link, nav a:visited{
	color: #EBEBEB;
}

nav a:hover{
	text-shadow:2px 2px 1px #111;
	transform:scale(1.1);
	box-shadow:none; /* Pour enlever le style par défaut des liens */
}	


/* @group Mise en page particulière
------------------------ */
		
	dd{
		margin-bottom:0.5em;
	}
	
	.youtube{ /* video youtube */
		width:560px;
		margin:auto;
	}

	/* pour les maths */
	.enonce, .theorem{ 
	
		display:block;
		width:70%;
		margin:auto;
		padding:0.5em;
		margin-top:0.5em;
		margin-bottom:2em;

		background-color:#EEEEEE;
		border:solid 1px #000;
		border-radius: 5px;	
		box-shadow: 2px 2px 3px rgba(0,0,0,0.5);
	}
	.intitule{
		font-weight:bold;
	}
	

	.note{
		font-size:75%;
		color:#666;
	}

	/* Colonnes par division */

		#programmes, #documents{
			display:table;
			border-collapse:separate;
			border-spacing:50px 0;
			
			width:90%;
			margin:auto;
		}

		.programmes_division, .documents_classe{
			display:table-cell;
			
			border:solid 1px black;
			border-radius: 3px;
			padding-bottom:10px;
		}

		#programmes{
			text-align:center;
		}

/* @group Images Blockly
------------------------ */

img{
	display:block;
	width:90%;
	margin:auto;
	transition: transform 0.3s ease;
	border:solid 2px;
	border-radius:3px;
	box-shadow:2px 2px 1px #333;
}


/* @group Formulaire envoi devoir
------------------------ */

form{
	width:70%;
	margin:auto;
}

fieldset{
	margin-bottom:1em;
}

input{
	margin: 1em;
}

input[type="radio"]{
	margin-right:0;
	margin-left: 2em;
}

input[type="submit"]{
	margin-left: 2em;
}

legend{
	font-weight:bold;
}

.explications{
	font-size:1em;
	color:#495185;
}

.erreur{
	color:#D00;
}

.reussite{
	color:#080;
}


/* @group Notes Personnelles
------------------------ */

#notes_perso{
	padding:15px;
	background-color:#FFFFFF;
	border:solid 1px #333;
	border-radius:2px;
	box-shadow:-2px 2px 2px #333;	
}



